/// <reference types="node" />
import { FastifyPluginCallback } from "fastify";
import { Logger } from "../shared/logger";
declare module "fastify" {
    interface FastifyInstance {
        logger?: Logger;
    }
}
interface LoggerPluginOpts {
    logger?: Logger;
}
declare const _default: FastifyPluginCallback<LoggerPluginOpts, import("http").Server, import("fastify").FastifyTypeProviderDefault>;
export default _default;
