"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fastify_plugin_1 = __importDefault(require("fastify-plugin"));
const owl_1 = require("../shared/owl");
const owlPlugin = async (fastify, {}, done) => {
    const owl = await (0, owl_1.createOwl)(() => fastify.redisFactory(), fastify.logger);
    fastify.decorate("owl", owl);
    done();
};
exports.default = fastify_plugin_1.default(owlPlugin);
//# sourceMappingURL=owl.js.map