/// <reference types="node" />
import { FastifyPluginCallback } from "fastify";
import { Redis } from "ioredis";
declare module "fastify" {
    interface FastifyInstance {
        redis: Redis;
        redisFactory: () => Redis;
    }
}
interface RedisPluginOpts {
    redisFactory: () => Redis;
}
declare const _default: FastifyPluginCallback<RedisPluginOpts, import("http").Server, import("fastify").FastifyTypeProviderDefault>;
export default _default;
