"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const static_1 = __importDefault(require("@fastify/static"));
const path = __importStar(require("path"));
const alternativeEntries = ["/", "/cron", "/pending", "/activity-log"];
const index = (fastify, opts, done) => {
    fastify.register(static_1.default, {
        root: path.join(__dirname, "../../../../../ui"),
        wildcard: false,
        redirect: true,
        schemaHide: true,
        setHeaders(res) {
            const auth = fastify.adminBasedAuthEnabled;
            const config = [auth];
            res.setHeader("Set-Cookie", "Quirrel-UI-Config=" + config.join("-"));
        },
    });
    alternativeEntries.forEach((entryPoint) => {
        fastify.get(entryPoint, { schema: { hide: true } }, async (request, reply) => {
            return reply.sendFile("fastify.html");
        });
    });
    done();
};
exports.default = index;
//# sourceMappingURL=index.js.map