/// <reference types="node" />
import { FastifyPluginCallback } from "fastify";
import { Telemetrist } from "../shared/telemetrist";
declare module "fastify" {
    interface FastifyInstance {
        telemetrist?: Telemetrist;
    }
}
interface TelemetryPluginOptions {
    runningInDocker: boolean;
}
declare const _default: FastifyPluginCallback<TelemetryPluginOptions, import("http").Server, import("fastify").FastifyTypeProviderDefault>;
export default _default;
