"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fastify_plugin_1 = __importDefault(require("fastify-plugin"));
const token_repo_1 = require("../shared/token-repo");
const tokensPlugin = async (fastify) => {
    const tokenRepo = new token_repo_1.TokenRepo(fastify.redis);
    fastify.decorate("tokens", tokenRepo);
};
exports.default = fastify_plugin_1.default(tokensPlugin);
//# sourceMappingURL=tokens.js.map