"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Telemetrist = void 0;
const plausible_telemetry_1 = __importDefault(require("plausible-telemetry"));
class Telemetrist extends plausible_telemetry_1.default {
    constructor(runningInDocker) {
        super("telemetry.quirrel.dev", runningInDocker ? "mobile" : "tablet");
    }
    async dispatch(path, name = "pageview") {
        await this.record(path, name);
    }
}
exports.Telemetrist = Telemetrist;
//# sourceMappingURL=telemetrist.js.map