#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const package_json_1 = __importDefault(require("../../package.json"));
const commander_1 = require("commander");
const ui_1 = __importDefault(require("./commands/ui"));
const ci_1 = __importDefault(require("./commands/ci"));
const detect_cron_1 = __importDefault(require("./commands/detect-cron"));
const update_cron_1 = __importDefault(require("./commands/update-cron"));
const index_1 = __importDefault(require("./commands/index"));
commander_1.program.version(package_json_1.default.version);
const command = commander_1.program;
(0, index_1.default)(command);
(0, ui_1.default)(command);
(0, ci_1.default)(command);
(0, detect_cron_1.default)(command);
(0, update_cron_1.default)(command);
commander_1.program.parse(process.argv);
//# sourceMappingURL=index.js.map