"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("..");
const runQuirrel_1 = require("../../api/test/runQuirrel");
const util_1 = require("./util");
test("cron regex", async () => {
    const server = await (0, runQuirrel_1.run)("Mock");
    const quirrel = new __1.QuirrelClient({
        route: "",
        async handler() { },
        config: {
            quirrelBaseUrl: (0, util_1.getAddress)(server.server),
            encryptionSecret: "4ws8syoOgeQX6WFvXuUneGNwy7QvLxpk",
            applicationBaseUrl: `http://localhost:1234`,
        },
    });
    await quirrel.enqueue(null, {
        repeat: {
            cron: "* * * L * *",
        },
    });
    server.teardown();
});
//# sourceMappingURL=cron-regex.test.js.map