"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("..");
const runQuirrel_1 = require("../../api/test/runQuirrel");
const http = __importStar(require("http"));
const util_1 = require("./util");
test("ms", async () => {
    const server = await (0, runQuirrel_1.run)("Mock");
    const jobExecuted = (0, util_1.makeSignal)();
    const endpoint = http
        .createServer((req) => {
        req.on("data", () => { });
        req.on("end", () => {
            jobExecuted.signal();
        });
    })
        .listen(0);
    const quirrel = new __1.QuirrelClient({
        async handler() { },
        route: "",
        config: {
            quirrelBaseUrl: (0, util_1.getAddress)(server.server),
            applicationBaseUrl: (0, util_1.getAddress)(endpoint),
        },
    });
    const duration = await (0, util_1.stopTime)(async () => {
        await quirrel.enqueue("hello world", {
            delay: "50ms",
        });
        await jobExecuted();
    });
    (0, util_1.expectToBeInRange)(duration, [50, 400]);
    server.teardown();
    endpoint.close();
});
//# sourceMappingURL=ms.test.js.map