import { EnqueueJobOptions, QuirrelClient, QuirrelOptions } from "./client";
import * as connect from "./connect";
export declare function Queue<Payload>(path: string, handler: connect.QuirrelJobHandler<Payload>, options?: QuirrelOptions): Omit<QuirrelClient<Payload>, "respondTo" | "makeRequest">;
export declare function CronJob(route: string, cronSchedule: NonNullable<NonNullable<EnqueueJobOptions["repeat"]>["cron"]>, handler: () => Promise<void>, options?: QuirrelOptions): unknown;
export * from "./connect";
