/// <reference types="node" />
import { FastifyPluginCallback } from "fastify";
import { PostHog } from "posthog-node";
declare module "fastify" {
    interface FastifyInstance {
        postHog?: PostHog;
    }
}
interface PostHogPluginOpts {
    apiKey: string;
}
declare const _default: FastifyPluginCallback<PostHogPluginOpts, import("http").Server, import("fastify").FastifyTypeProviderDefault>;
export default _default;
