import fp from "fastify-plugin";
import { TokenRepo } from "../shared/token-repo";
const tokensPlugin = async (fastify) => {
    const tokenRepo = new TokenRepo(fastify.redis);
    fastify.decorate("tokens", tokenRepo);
};
export default fp(tokensPlugin);
//# sourceMappingURL=tokens.js.map