const delimiter = ";";
export function encodeQueueDescriptor(tokenId, endpoint) {
    return [tokenId, endpoint].map(encodeURIComponent).join(delimiter);
}
export function decodeQueueDescriptor(id) {
    const [tokenId, endpoint] = id.split(delimiter).map(decodeURIComponent);
    return {
        tokenId,
        endpoint,
    };
}
//# sourceMappingURL=queue-descriptor.js.map