"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fastify_plugin_1 = __importDefault(require("fastify-plugin"));
const telemetrist_1 = require("../shared/telemetrist");
const telemetryPlugin = async (fastify, opts) => {
    const telemetrist = new telemetrist_1.Telemetrist(opts.runningInDocker);
    fastify.decorate("telemetrist", telemetrist);
};
exports.default = fastify_plugin_1.default(telemetryPlugin);
//# sourceMappingURL=telemetry.js.map