"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dx_logger_1 = require("./dx-logger");
const dxLogger = new dx_logger_1.DxLogger();
dxLogger.started("localhost:9181", true);
dxLogger.started("localhost:9181", false);
dxLogger.jobCreated({
    body: '{"a":"very","long":{"json":"object"},"with":{"even":{"more":"attributes"}}}',
    endpoint: "https://localhost:9181/api/queues",
    id: "my-random-job",
    tokenId: "anonymous",
    exclusive: false,
    runAt: new Date().toISOString(),
    count: 0,
    retry: [],
});
const done = dxLogger.startingExecution({
    body: '{"a":"very","long":{"json":"object"},"with":{"even":{"more":"attributes"}}}',
    endpoint: "https://localhost:9181/api/queues",
    id: "my-random-job",
    tokenId: "anonymous",
});
setTimeout(done, 2000);
const done2 = dxLogger.startingExecution({
    body: "hello world",
    endpoint: "https://localhost:9181/api/secondQueue",
    id: "another-job",
    tokenId: "anonymous",
});
setTimeout(done2, 1000);
//# sourceMappingURL=dx-logger.tester.js.map