export declare class IncidentForwarder {
    private readonly incidentEndpoint;
    private readonly passphrase;
    constructor(incidentEndpoint: string, passphrase: string);
    dispatch(job: {
        tokenId: string;
        id: string;
        endpoint: string;
        payload: string;
        runAt: Date;
    }, incident: {
        status: number;
        body: string;
    }): Promise<void>;
}
