import fp from "fastify-plugin";
import { createOwl } from "../shared/owl";
const owlPlugin = async (fastify, {}, done) => {
    const owl = await createOwl(() => fastify.redisFactory(), fastify.logger);
    fastify.decorate("owl", owl);
    done();
};
export default fp(owlPlugin);
//# sourceMappingURL=owl.js.map